package com.dayou.service;
import com.dayou.entity.ItemUser;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.entity.User;
import com.dayou.vo.ItemStageUserVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 项目人员表 服务类
 * </p>
 *
 * @author wucl
 * @since 2022-12-08
 */
public interface IItemUserService extends IService<ItemUser> {

        Page<ItemUser> selectPage(Page page,ItemUser itemUser);

        ItemUser detail(Long id);

        Boolean add(ItemUser itemUser);

        Boolean update(ItemUser itemUser);

        Boolean delete(Long id);

    List<ItemStageUserVO> userList(ItemStageUserVO itemStageUserVO);
}
